## EvImage EvImage — |

## Synopsis

                EvImagePrivate;
                EvImage;
    EvImage*    ev_image_new_from_pixbuf        (GdkPixbuf *pixbuf);
    GdkPixbuf*  ev_image_get_pixbuf             (EvImage *image);
    const gchar* ev_image_save_tmp              (EvImage *image);
    const gchar* ev_image_get_tmp_uri           (EvImage *image);
                EvImageMapping;
    void        ev_image_mapping_free           (GList *image_mapping);
    EvImage*    ev_image_mapping_find           (GList *image_mapping,
                                                 gdouble x,
                                                 gdouble y);

## Description

## Details

### EvImagePrivate

    typedef struct _EvImagePrivate EvImagePrivate;

### EvImage

    typedef struct {
    	GObject base_instance;

    	EvImagePrivate *priv;
    } EvImage;

### ev_image_new_from_pixbuf ()

    EvImage*    ev_image_new_from_pixbuf        (GdkPixbuf *pixbuf);

`pixbuf` : |
Returns : |

### ev_image_get_pixbuf ()

    GdkPixbuf*  ev_image_get_pixbuf             (EvImage *image);

`image` : |
Returns : |

### ev_image_save_tmp ()

    const gchar* ev_image_save_tmp              (EvImage *image);

`image` : |
Returns : |

### ev_image_get_tmp_uri ()

    const gchar* ev_image_get_tmp_uri           (EvImage *image);

`image` : |
Returns : |

### EvImageMapping

    typedef struct {
    	EvImage *image;
    	gdouble x1;
    	gdouble y1;
    	gdouble x2;
    	gdouble y2;
    } EvImageMapping;

### ev_image_mapping_free ()

    void        ev_image_mapping_free           (GList *image_mapping);

`image_mapping` : |

### ev_image_mapping_find ()

    EvImage*    ev_image_mapping_find           (GList *image_mapping,
                                                 gdouble x,
                                                 gdouble y);

`image_mapping` : |
`x` : |
`y` : |
Returns : |